<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( empty( $field_name ) ){
  return;
}

$table_id = $GLOBALS['wcpt_table_data']['id'];

$input_field_name = $table_id . '_cf_' . str_replace(' ', '_', $field_name);

// pre-selected
if( $pre_selected = wcpt_get_nav_filter( 'custom_field', $field_name ) ){
	if( empty( $_GET[$table_id . '_filtered'] ) ){
		// apply
		$_GET[$input_field_name] = $_REQUEST[$input_field_name] = $pre_selected['values'];
	}else{
		// remove
		wcpt_clear_nav_filter( 'custom_field', $field_name );
	}
}

if(
	empty( $display_type ) ||
	( ! empty( $position ) && $position === 'left_sidebar' )
){
  $display_type = 'dropdown';
}

if( empty( $single ) ){
  $single = false;
}

// $dropdown_options will be used for priting on front end
$dropdown_options = array();

// manual options
if( empty( $compare ) ){
	$compare = 'IN';
}

if( $compare == 'IN' ){
// exact match

	if( empty( $manual_options ) ){
		$manual_options = array();
	}

	foreach( $manual_options as $option ){
		// ensure label is present and parse it
		if( ! empty( $option['label'] ) ){
			$option['label'] = wcpt_parse_2( $option['label'] );
		}else{
			$option['label'] = $option['value'];
		}

		$option['label'] =  str_replace( '[custom_field_value]', $option['value'], $option['label'] );

		$dropdown_options[] = $option;
	}

}else if( $compare == 'BETWEEN' ){
// within range

	if( empty( $range_options ) ){
		$range_options = array();
	}

	$input_field_name = $table_id . '_cf_' . str_replace(' ', '_', $field_name) . '_range';

	$min_input_field_name = $input_field_name . '_min';
	$max_input_field_name = $input_field_name . '_max';

	$selected_min = ! empty( $_GET[ $min_input_field_name ] ) ? $_GET[ $min_input_field_name ] : '';
	$selected_max = ! empty( $_GET[ $max_input_field_name ] ) ? $_GET[ $max_input_field_name ] : '';

	foreach( $range_options as $option ){

		if( empty( $option['min_value'] ) && empty( $option['max_value'] ) ){
			continue;
		}

		// ensure label is present and parse it
		if( ! empty( $option['label'] ) ){
			$option['label'] = wcpt_parse_2( $option['label'] );
		}else{
			$option['label'] = $option['min_value'] . ' - ' . $option['max_value'];
		}

		$placeholder = '[custom_field_value]';
		$placeholder_value = '';
		if( empty( $option['min_value'] ) ){
			$placeholder_value = $option['max_value'];
			$option['min_value'] = '';
		}else if( empty( $option['max_value'] ) ){
			$placeholder_value = $option['min_value'];
			$option['max_value'] = '';
		}else{
			$placeholder_value = $option['min_value'] . ' - ' . $option['max_value'];
		}

		if( empty( $option['label'] ) ){
			$option['label'] = $placeholder_value;
		}

		$option['label'] =  str_replace(
			array( '[min]', '[max]', $placeholder ),
			array( $option['min_value'], $option['max_value'], $placeholder_value ),
			$option['label']
		);

		$dropdown_options[] = $option;

		// get selected
		if( $selected_min == $option['min_value'] && $selected_max == $option['max_value'] ){
			$selected_range_option = $option;
		}

	}

}

if( $display_type == 'dropdown' ){
  $container_html_class = 'wcpt-dropdown wcpt-filter ' . $html_class;
  $heading_html_class = 'wcpt-dropdown-label';
  $options_container_html_class = 'wcpt-dropdown-menu';
  $single_option_container_html_class = 'wcpt-dropdown-option';

  if( empty( $heading ) ){
    $heading = $field_name;
  }

}else{
  $container_html_class = 'wcpt-options-row wcpt-filter ' . $html_class;
  $heading_html_class = 'wcpt-options-heading';
  $options_container_html_class = 'wcpt-options';
  $single_option_container_html_class = 'wcpt-option';

  if( empty( $heading ) ){
    $heading = '';
  }
}

// comparison operator
if( $compare == 'BETWEEN' ){
	$container_html_class .= ' wcpt-range-filter';
}

// heading row
if( ! $heading = wcpt_parse_2( $heading ) ){
	$container_html_class .= ' wcpt-no-heading wcpt-filter-open';
}

// applied filter
if(
	! empty( $_REQUEST[ $table_id . '_cf_' . str_replace(' ', '_', $field_name) ] ) ||
	! empty( $_REQUEST[ $table_id . '_cf_' . str_replace(' ', '_', $field_name) . '_range' ] )
 ){
	$container_html_class .= ' wcpt-filter-open';
}

if( ! empty( $accordion_always_open ) ){
	$container_html_class .= ' wcpt-filter-open';
}

?>

<div class="<?php echo $container_html_class; ?>" data-wcpt-filter="custom_field" data-wcpt-meta-key="<?php echo $field_name; ?>">

	<div class="wcpt-filter-heading">
		<!-- label -->
	  <span class="<?php echo $heading_html_class; ?>"><?php echo wcpt_parse_2( $heading );?></span>
		<!-- active count -->
	  <?php if( $compare == 'IN' && ! empty( $_GET[$input_field_name] ) && ! $single ){
		?>
	  <span class="wcpt-active-count"><?php echo count( $_GET[$input_field_name] ); ?></span>
		<?php } ?>
	  <!-- icon -->
	  <?php wcpt_icon('chevron-down'); ?>
	</div>

  <!-- options menu -->
  <div class="<?php echo $options_container_html_class; ?>">
    <?php

	    $input_field_name = $table_id . '_cf_' . str_replace(' ', '_', $field_name);

			if( $compare == 'BETWEEN' ){
				$input_field_name .= '_range';
			}

			// show all option
			if( 
				$compare == 'BETWEEN' || 
				( $compare == 'IN' && $single ) &&
				! wcpt_is_template_empty($show_all_label)
			){

				if( empty( $_GET[ $input_field_name ] ) && empty( $selected_min ) && empty( $selected_max ) ){
					$checked = ' checked="checked" ';
				}else{
					$checked = '';
				}

				?>
				<label class="<?php echo $single_option_container_html_class; ?>">
					<!-- radio -->
					<input
						type="radio"
						value=""
						class="wcpt-filter-radio" <?php echo $checked; ?>
						name="<?php echo $input_field_name; ?>"
						data-wcpt-range-min=""
						data-wcpt-range-max=""
						<?php echo $checked; ?>
					>
					<!-- option label -->
					<span><?php echo wcpt_parse_2( $show_all_label ) ?></span>
				</label>
				<?php
			}


    	if( $compare == 'IN' ){
			// exact match

	      if( ! empty( $dropdown_options ) ){

	        foreach ( $dropdown_options as $option ) {

	          // option was selected or not?
	          if(
	            ! empty( $_GET[ $input_field_name ] ) &&
	            (
	              (
	                is_array( $_GET[ $input_field_name ] ) &&
	                in_array( strtolower( $option['value'] ), array_map( 'strtolower', $_GET[ $input_field_name ] )  )
	              ) ||
								(
									! is_array( $_GET[ $input_field_name ] ) &&
									strtolower( $_GET[ $input_field_name ] ) == strtolower( $option['value'] )
								)
	            )
	          ){

	            $selected = ' checked="checked" ';

	            // use filter in query
	            $filter_info = array(
	              'filter'        => 'custom_field',
	              'meta_key'      => $field_name,
	              'values'        => array( strtolower( $option['value'] ) ),
	              'compare'       => ! empty( $compare ) ? $compare : 'IN',
	              'clear_label'   => $field_name,
	            );

							if( ! empty( $option['clear_label'] ) ){
								$filter_info['clear_labels_2'] = array(
									strtolower($option['value']) => $option['clear_label'],
								);
							}else{
								$filter_info['clear_labels_2'] = array(
									strtolower($option['value']) => ucwords( $field_name ) . ' : ' . $option['value'],
								);
							}

	            wcpt_update_user_filters( $filter_info, $single );

	          }else{
	            $selected = '';
	          }

	          ?>
	          <label class="<?php echo $single_option_container_html_class; ?>" data-wcpt-value="<?php echo esc_html( strtolower($option['value']) ); ?>">
	            <input name="<?php echo $input_field_name; ?>[]" type="<?php echo $single ? 'radio' : 'checkbox'; ?>" value="<?php echo esc_html( strtolower($option['value']) ); ?>" class="filter-checkbox" <?php echo $selected; ?>>
							<span><?php echo wcpt_parse_2( $option['label'] ); ?></span>
	          </label>
	          <?php
	        }
        }

			}else if( $compare == 'BETWEEN' ){
			// within range

				$min_input_field_name = $input_field_name . '_min';
	      $max_input_field_name = $input_field_name . '_max';

	      $selected_min = ! empty( $_GET[ $min_input_field_name ] ) ? $_GET[ $min_input_field_name ] : '';
	      $selected_max = ! empty( $_GET[ $max_input_field_name ] ) ? $_GET[ $max_input_field_name ] : '';

				// use filter in query
				if( '' !== $selected_min || '' !== $selected_max ){

					if( $selected_min !== $selected_max ){
						$value = ( $selected_min ? $selected_min : 0 ) . ( $selected_max ? ' - ' . $selected_max : '+' );
					}else{
						$value = $selected_min;
					}

					$filter_info = array(
						'filter'      => 'custom_field',
	          'meta_key'    => $field_name,
		        'values'      => array( $value ),
		        'min'     		=> $selected_min,
		        'max'     		=> $selected_max,
            'compare'     => ! empty( $compare ) ? $compare : 'IN',
		        'clear_label' => $field_name,
						'type'				=> empty( $field_type ) ? '' : $field_type,
		      );

					// clear label
					if( ! empty( $selected_range_option ) && ! empty( $selected_range_option['clear_label'] ) ){
						$filter_info['clear_labels_2'] = array(
							$value => $selected_range_option['clear_label'],
						);
					}else{
						$filter_info['clear_labels_2'] = array(
							$value => ucwords( $field_name ) . ' : ' . $value,
						);

						if( empty( $selected_min ) ){
							if( empty( $no_min_clear_label ) ){
								$no_min_clear_label = '[filter] : Upto [max]';
							}
							$clear_label = $no_min_clear_label;

						}else if( empty( $selected_max ) ){
							if( empty( $no_max_clear_label ) ){
								$no_max_clear_label = '[filter] : [min]+';
							}
							$clear_label = $no_max_clear_label;

						}else{
							if( empty( $min_max_clear_label ) ){
								$min_max_clear_label = '[filter] : [min] - [max]';
							}
							$clear_label = $min_max_clear_label;

						}

						$clear_label =  str_replace(
							array( '[filter]', '[min]', '[max]' ),
							array( $field_name, $selected_min, $selected_max ),
							$clear_label
						);

						$filter_info['clear_labels_2'] = array(
							$value => $clear_label,
						);

					}

		      wcpt_update_user_filters( $filter_info, true );
				}

				if( ! empty( $dropdown_options ) ){

	        foreach ( $dropdown_options as $option_index => $option ) {

	          if( empty( $option['min_value'] ) ){
	            $option['min_value']  = '';
	          }

	          if( empty( $option['max_value'] ) ){
	            $option['max_value']  = '';
	          }

	          // option was selected or not?
	          if(
	            (float) $option['min_value'] == $selected_min &&
	            (float) $option['max_value'] == $selected_max
	          ){

	            $selected = ' checked="checked" ';

	          }else{
	            $selected = '';
	          }

	          ?>
	          <label class="<?php echo $single_option_container_html_class; ?>">
	            <!-- radio -->
	            <input
	              type="radio"
	              value="option_<?php echo $option_index; ?>"
	              class="wcpt-filter-radio" <?php echo $selected; ?>
	              name="<?php echo $input_field_name; ?>"
	              data-wcpt-range-min="<?php echo ! empty( $option['min_value'] ) ? $option['min_value'] : ''; ?>"
	              data-wcpt-range-max="<?php echo ! empty( $option['max_value'] ) ? $option['max_value'] : ''; ?>"
	            >
	            <!-- option label -->
	            <span><?php echo ! empty( $option['label'] ) ? $option['label'] : 'Range option'; ?></span>
	          </label>
	          <?php
	        }
	      }

				// max-max input option
	      $html_maybe_hide_class = '';
	      if( empty( $custom_min_max_enabled ) ){
	        $html_maybe_hide_class = 'wcpt-hide';
	      }
				?>
		    <div class="wcpt-range-options-main <?php echo $single_option_container_html_class . ' ' . $html_maybe_hide_class; ?>">
		      <input type="number" class="wcpt-range-input-min" name="<?php echo $min_input_field_name; ?>" value="<?php echo $selected_min; ?>" placeholder="<?php echo ! empty( $min_label ) ? $min_label : 'Min'; ?>" min="0">
		      <span class="wcpt-range-input-separator">
		        <?php echo ! empty( $to_label ) ? $to_label : 'to'; ?>
		      </span>
		      <input type="number" class="wcpt-range-input-max" name="<?php echo $max_input_field_name; ?>" value="<?php echo $selected_max; ?>" placeholder="<?php echo ! empty( $max_label ) ? $max_label : 'Max'; ?>">
		      <span class="wcpt-range-submit-button">
		        <?php echo ! empty( $go_label ) ? $go_label : 'GO'; ?>
		      </span>
		    </div>
				<?php

			}
    ?>

  </div>
</div>
